package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.MonDevSnHour;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 设备数据-水泥-小时 保存设备的小时数据对象 mon_dev_sn_hour
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据-水泥-小时 保存设备的小时数据")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonDevSnHourQuery extends PageQuery
{

    @ApiModelProperty(value = "数据ID")
    private Long dataId;
    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;
    @ApiModelProperty(value = "设备ID")
    private String deviceId;
    @ApiModelProperty(value = "时间类型 枚举。分钟/小时...")
    private String timeType;
    @ApiModelProperty(value = "数据时间 格式因时间类型而异")
    private String dataTime;
    @ApiModelProperty(value = "生产端加料量 单位：kg/h")
    private String ss100;
    @ApiModelProperty(value = "生产端窑尾烟室温度 单位：℃")
    private String ss101;
    @ApiModelProperty(value = "窑头布袋除尘器前后压差 单位：Pa")
    private String sz100;
    @ApiModelProperty(value = "窑尾布袋除尘器前后压差 单位：Pa")
    private String sz101;
    @ApiModelProperty(value = "窑头电除尘器二次电流 单位：A")
    private String sz102;
    @ApiModelProperty(value = "窑尾电除尘器二次电流 单位：A")
    private String sz103;
    @ApiModelProperty(value = "窑头电除尘器二次电压 单位：V")
    private String sz104;
    @ApiModelProperty(value = "窑尾电除尘器二次电压 单位：V")
    private String sz105;
    @ApiModelProperty(value = "脱硝还原剂用量 单位：m3/h")
    private String sz106;
    @ApiModelProperty(value = "脱硫洗涤塔pH值")
    private String sz107;
    @ApiModelProperty(value = "脱硫供浆流量 单位：m3/h")
    private String sz108;
    @ApiModelProperty(value = "脱硫供料流量 单位：kg/h")
    private String sz109;
    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 1=运行，0=停止")
    private String sz110;
    @ApiModelProperty(value = "脱硫湿法氧化风机电流 单位：A")
    private String sz111;
    @ApiModelProperty(value = "窑头除尘器进口压力 单位：kPa")
    private String sz112;
    @ApiModelProperty(value = "窑头除尘器出口压力 单位：kPa")
    private String sz113;
    @ApiModelProperty(value = "窑尾除尘器出口压力 单位：kPa")
    private String sz114;
    @ApiModelProperty(value = "窑尾除尘器进口压力 单位：kPa")
    private String sz115;
    @ApiModelProperty(value = "附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...}")
    private String addiParam;
    @ApiModelProperty(value = "更新时间")
    private String updateTime;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<MonDevSnHour> createLambdaQueryWrapper(MonDevSnHourQuery query) {
        QueryWrapper<MonDevSnHour> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getDataId()), "data_id", query.getDataId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getDeviceId()), "device_id", query.getDeviceId());
        wrapper.eq(ObjectUtil.isNotNull(query.getTimeType()), "time_type", query.getTimeType());
        wrapper.eq(ObjectUtil.isNotNull(query.getDataTime()), "data_time", query.getDataTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getSs100()), "ss100", query.getSs100());
        wrapper.eq(ObjectUtil.isNotNull(query.getSs101()), "ss101", query.getSs101());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz100()), "sz100", query.getSz100());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz101()), "sz101", query.getSz101());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz102()), "sz102", query.getSz102());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz103()), "sz103", query.getSz103());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz104()), "sz104", query.getSz104());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz105()), "sz105", query.getSz105());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz106()), "sz106", query.getSz106());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz107()), "sz107", query.getSz107());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz108()), "sz108", query.getSz108());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz109()), "sz109", query.getSz109());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz110()), "sz110", query.getSz110());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz111()), "sz111", query.getSz111());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz112()), "sz112", query.getSz112());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz113()), "sz113", query.getSz113());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz114()), "sz114", query.getSz114());
        wrapper.eq(ObjectUtil.isNotNull(query.getSz115()), "sz115", query.getSz115());
        wrapper.eq(ObjectUtil.isNotNull(query.getAddiParam()), "addi_param", query.getAddiParam());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        return wrapper;
        }
}
